/*

Theme Name:   Neostella

Description:  Neostella custom theme

Author:       cyonagency.com

Author URI:   https://www.cyonagency.com/

Template:     twentytwentyfour

Version:      1.0.0

Text Domain:  Neostella

*/

/* Site wide  */

html {
  scroll-behavior: smooth;
  font-size: 16px;
  interpolate-size: allow-keywords;
}

body {
  overflow-x: hidden;
}

@view-transition {
  navigation: auto;
}

a:focus {
  outline: 0px !important;
  outline: none !important;
}

a:active {
  outline: 0px !important;
  outline: none !important;
}

a:where(:not(.wp-element-button)) {
  color: var(--wp--preset--color--contrast);
  font-family: var(--wp--preset--font-family--roboto);
  font-size: inherit !important;
  text-decoration: inherit !important;
}

main .entry-content p a:where(:not(.wp-element-button)) {
  font-size: inherit !important;
  text-decoration: underline !important;
}

main .entry-content .link-full p a:where(:not(.wp-element-button)) {
  text-decoration: none !important;
}

:where(.wp-site-blocks *:focus) {
  outline-width: 0px !important;
  outline-style: inherit;
}

:where(.wp-site-blocks) > * {
  margin-block-start: 0rem;
  margin-block-end: 0;
}

.post-navigation-override a {
  font-family: var(--wp--preset--font-family--unbounded) !important;
  transition: all ease-in-out 0.2s;
}
.post-navigation-override a:hover {
  font-family: var(--wp--preset--font-family--unbounded) !important;
  color: var(--wp--preset--color--zest);
}

.post-group-block-link {
  position: relative !important;
}
.post-group-block-link a::after {
  content: "";
  display: block;
  position: absolute;
  top: 0px;
  z-index: 1;
  width: 100%;
  height: 100%;
}
.post-group-block-link
  .wp-block-cover
  .wp-block-cover__inner-container
  .wp-block-buttons {
  opacity: 0;
  transition: all ease-in-out 0.2s;
}
.post-group-block-link .wp-block-cover .wp-block-cover__background {
  transition: all ease-in-out 0.2s;
}
.post-group-block-link:hover .wp-block-cover .wp-block-cover__background {
  opacity: 0.9 !important;
}

.post-group-block-link:hover
  .wp-block-cover
  .wp-block-cover__inner-container
  .wp-block-buttons {
  opacity: 1;
}
.post-group-block-link:hover
  .wp-block-cover
  .wp-block-cover__inner-container
  .wp-block-buttons {
}

.sticky {
  position: sticky !important;
  top: 40px !important;
}

body:has(.wp-block-ollie-mega-menu__menu-container.menu-width-full) {
  overflow-x: hidden;
}

.wp-element-button {
  box-shadow: inset 0px 0px 0px 1px rgba(255, 255, 255, 0.16);
  transition: background 0.3s ease-in-out;
}

.wp-element-button:hover {
  box-shadow: inset 0px 0px 0px 1px #81818f;
  background: #000000 !important;
}

.is-style-outline {
  box-shadow: inset 0px 0px 0px 1px rgba(255, 255, 255, 0.16);
  transition: background 0.3s ease-in-out;
}

.is-style-outline:hover {
  box-shadow: inset 0px 0px 0px 1px #81818f;
  background: #000000 !important;
}

.is-style-underlined .wp-block-button__link {
  background: transparent;
  box-shadow: inset 0px 0px 0px 0px #81818f;
  padding-left: 0px;
  padding-right: 0px;
  border-bottom: 1px solid #81818f;
  font-style: normal;
  font-weight: 400;
  font-size: var(--wp--preset--font-size--body-medium) !important;
  color: #ffffff;
  transition: border 0.3s ease-in-out;
  text-align: left !important;
}

.is-style-underlined .wp-block-button__link:hover {
  background: transparent !important;
  border-bottom: 1px solid #ffffff;
}

.is-style-light .wp-block-button__link {
  background: transparent;
  box-shadow: inset 0px 0px 0px 1px rgba(255, 255, 255, 0.16);
  color: var(--wp--preset--color--brand-electric-blue);
  font-style: normal;
  font-weight: 400;
  background: var(--wp--preset--color--neutral-white);
  font-size: var(--wp--preset--font-size--body-medium) !important;
  transition: background 0.3s ease-in-out;
}

.is-style-light .wp-block-button__link:hover {
  color: var(--wp--preset--color--neutral-white);
}

.wp-block-post-excerpt__more-link {
  padding-top: var(--wp--preset--spacing--button-default-vrt);
  padding-bottom: var(--wp--preset--spacing--button-default-vrt);
  font-family: inter;
  background: transparent;
  box-shadow: inset 0px 0px 0px 0px #81818f;
  padding-left: 0px;
  padding-right: 0px;
  border-bottom: 1px solid #81818f;
  font-style: normal;
  font-weight: 400;
  font-size: var(--wp--preset--font-size--body-medium) !important;
  color: #ffffff;
  transition: border 0.3s ease-in-out;
}

.wp-block-post-excerpt__more-link:hover {
  background: transparent !important;
  border-bottom: 1px solid #ffffff;
}

.mega-menu-list a {
  padding: 6px 0px 6px 20px !important;
  border-left: 1px solid #575766 !important;
  transition: border ease-in-out 0.2s !important;
}
.mega-menu-list a:hover {
  border-left: 1px solid #fff !important;
}

.footer-menu-list a {
  padding: 4px 0px 4px 20px;
  border-left: 1px solid #575766;
  transition: border ease-in-out 0.2s, color ease-in-out 0.2s;
}
.footer-menu-list a:hover {
  border-left: 1px solid #fff;
  color: #ffffff !important;
}

.offset-slider {
  padding-left: calc((100vw - 1280px) / 2) !important;
}

.link-full {
  position: relative !important;
  border-bottom: 1px solid #363640;
  transition: all ease-in-out 0.2s;
}

.link-full p a {
  text-decoration: none !important;
}

.link-full a::after {
  display: block;
  position: absolute;
  left: 0px;
  top: 0px;
  content: "";
  width: 100%;
  height: 100%;
}
.link-full:hover {
  border-bottom: 1px solid #ffffff !important;
}

.wp-block-query.is-slider {
  position: relative;
  overflow: hidden;
}

/* Swiper wrapper fix */
.wp-block-query.is-slider .wp-block-post-template {
  display: flex !important;
  margin: 0 !important;
  padding: 0 !important;
  padding-bottom: 60px !important;
  list-style: none !important;
}

.slider-controls {
  position: relative;
  display: flex;
  justify-content: flex-end;
  bottom: 5px;
  right: 0rem;
  left: 0rem;
}

.slider-nav {
  display: flex;
  align-items: flex-end;
  gap: 0.75rem;
}

.slider-extra-btn {
  margin-right: 20px;
}

/* Segments */
.slider-pagination {
  display: flex;
  align-items: center;
  gap: 0px;
}
.slider-segment {
  width: 20px;
  height: 4px;
  background: rgba(255, 255, 255, 0.3);
  border-radius: 0px;
  transition: background 0.3s, width 0.3s, border-radius 0.3s;
  cursor: pointer;
}
.slider-segment:first-child {
  border-top-left-radius: 2px;
  border-bottom-left-radius: 2px;
}

.slider-segment:last-child {
  border-top-right-radius: 2px;
  border-bottom-right-radius: 2px;
}

.slider-segment.active {
  background: #fff;
  width: 28px;
  border-radius: 2px;
}

/* Custom SVG arrows */
.slider-nav .cyon-prev,
.slider-nav .cyon-next {
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
  opacity: 1;
  transition: opacity 0.3s, transform 0.2s;
}
.slider-nav .cyon-prev:hover,
.slider-nav .cyon-next:hover {
  opacity: 0.5;
  transform: scale(1);
}
.slider-nav img {
  display: block;
  width: 38px;
  height: 38px;
  object-fit: contain;
  filter: brightness(0) invert(1); /* makes dark SVGs appear white */
}

.is-slider {
  position: relative;
}

.slider-nav {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem; /* space between items */
}

.query-loop-slider.is-slider {
  overflow: hidden;
  width: 100%;
  position: relative;
}

.wp-block-details {
}
details * {
  margin: 0 !important;
}
summary {
  position: relative;
  anchor-name: --summary;
}

details[open] summary {
  font-weight: bold;
  border-bottom: 0px solid;
}
summary::marker {
  display: none;
  content: "";
}
summary {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-bottom: 10px;
  border-bottom: 1px solid var(--wp--preset--color--neutral-shade-2);
  color: #ffffff;
}
summary::after {
  content: url(images/icn-ui-caret.svg);
  position: relative;
  right: 0px;
}

details[open] summary:after {
  content: url(images/icn-ui-caret.svg);
  transform: rotate(180deg);
}

details:last-of-type summary {
  border-bottom: 0px solid var(--wp--preset--color--neutral-shade-2);
}
summary:hover {
  color: #ffffff;
}
details {
  overflow: hidden;
  position: relative;
}
details p {
  padding-top: 10px !important;
  padding-left: 18px;
}

details::details-content {
  block-size: 0;
  transition: block-size 0.4s, content-visibility 1s;
  transition-behavior: allow-discrete;
}

details[open]::details-content {
  block-size: auto;
}

.is-bg-light summary::after {
  content: url(images/button-icon.svg);
  max-width: 48px;
  max-height: 48px;
  position: relative;
  right: 0px;
}

.is-bg-light details[open] summary:after {
  content: url(images/button-icon.svg);
}

.is-bg-light summary {
  display: flex;

  justify-content: space-between;
  padding-top: var(--wp--preset--spacing--padding-compact);
  padding-bottom: var(--wp--preset--spacing--padding-compact);
  font-family: var(--wp--preset--font-family--the-seasons);
  font-size: var(--wp--preset--font-size--heading-small) !important;
  border-top: 1px solid var(--wp--preset--color--neutral-tint-2) !important;
  border-bottom: 0px !important;

  color: var(--wp--preset--color--neutral-shade-3) !important;
  position: relative;
  anchor-name: --summary;
}

.is-bg-light details[open] summary {
  font-weight: inherit !important;
  border-bottom: 0px solid;
}

.is-bg-light details p {
  padding-top: 0px !important;
  padding-bottom: var(--wp--preset--spacing--space-sm);
  padding-left: 0px;
}

.is-bg-dark summary::after {
  content: url(images/button-icon-dark.svg);
  width: 48px;
  height: 48px;
  position: absolute;
  right: 0px;
}

.is-bg-dark details[open] summary:after {
  content: url(images/button-icon-dark.svg);
}

.is-bg-dark summary {
  padding-top: var(--wp--preset--spacing--padding-compact);
  padding-bottom: var(--wp--preset--spacing--padding-compact);
  font-family: var(--wp--preset--font-family--the-seasons);
  font-size: var(--wp--preset--font-size--heading-small) !important;
  border-top: 1px solid var(--wp--preset--color--neutral-shade-1) !important;
  border-bottom: 0px !important;
  padding-right: 50px;
  color: var(--wp--preset--color--neutral-tint-3) !important;
  position: relative;
  anchor-name: --summary;
}

.is-bg-dark details[open] summary {
  font-weight: inherit !important;
  border-bottom: 0px solid;
}

.is-bg-dark details p {
  color: var(--wp--preset--color--neutral-tint-1) !important;
  padding-top: 0px !important;
  padding-bottom: var(--wp--preset--spacing--space-sm);
  padding-left: 0px;
}

.column-overlap {
  margin-right: -10% !important;
  z-index: 1;
}

/* Hide default hamburger lines */
.wp-block-navigation__responsive-container-open svg {
  display: none;
}

.wp-block-navigation__responsive-container-open {
  border: 1px solid #575766;
  padding: 12px;
}

/* Add your custom SVG instead */
.wp-block-navigation__responsive-container-open::before {
  content: "";
  display: inline-block;
  width: 24px;
  height: 24px;
  background: url("images/icn-ui-menu.svg") no-repeat center center;
  background-size: contain;
}

.wp-block-navigation__responsive-container-close {
  position: absolute;
  right: var(--wp--preset--spacing--layout-margin);
  top: var(--wp--preset--spacing--space-xlarge);
  z-index: 2;
  border: 1px solid #575766;
  padding: 12px;
}

@media only screen and (max-width: 900px) {
  .column-reverse {
    flex-direction: column-reverse;
  }

  .mobile-align-left {
    text-align: left !important;
  }

  .column-overlap {
    margin-right: 0% !important;
    z-index: 1;
  }
}

.has-gradient-colour-color {
  color: var(--wp--preset--color--brand-proud-purple) !important;
}

.xxxhas-gradient-colour-color {
  background: linear-gradient(90deg, #ab23f6 0%, #403ef5 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.article-alternate {
  box-sizing: border-box;
  display: flex !important;
  flex-wrap: wrap !important;
  gap: var(--wp--preset--spacing--layout-gutter);
  padding: 0px !important;
}

.article-alternate li {
  margin-block-start: 0 !important;

  box-sizing: border-box;
  flex: 1 1 calc(33% - var(--wp--preset--spacing--layout-gutter)); /* grey default width */
  align-content: center !important;
}

/* Blue on 1st and 4th in every group of 4 */
.article-alternate li:nth-child(4n + 1),
.article-alternate li:nth-child(4n) {
  flex: 1 1 66% !important; /* blue wider width */
}

@media only screen and (max-width: 900px) {
  .article-alternate li {
    padding: 0px;
    flex: 1 1 50% !important; /* grey default width */
    align-content: flex-start !important;
  }
  .article-alternate li:nth-child(4n + 1),
  .article-alternate li:nth-child(4n) {
    flex: 1 1 50% !important; /* blue wider width */
  }
}

@media only screen and (max-width: 500px) {
  .article-alternate li {
    flex: 1 1 100% !important; /* grey default width */
    align-content: flex-start !important;
  }
  .article-alternate li:nth-child(4n + 1),
  .article-alternate li:nth-child(4n) {
    flex: 1 1 100% !important; /* blue wider width */
  }
}

.wp-block-query-pagination .wp-block-query-pagination-previous-arrow {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  margin-right: 0;
  padding: 0px;
  width: 40px;
  height: 40px;
  border-radius: 1000px;
  color: var(--wp--preset--color--neutral-tint-1);
  border: 1px solid var(--wp--preset--color--neutral-shade-1);
}
.wp-block-query-pagination .wp-block-query-pagination-next-arrow {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  margin-left: 0;
  padding: 0px;
  width: 40px;
  height: 40px;
  border-radius: 1000px;
  color: var(--wp--preset--color--neutral-tint-1);
  border: 1px solid var(--wp--preset--color--neutral-shade-1);
}
.wp-block-query-pagination-numbers {
  display: inline-flex;
  gap: var(--wp--preset--spacing--space-sm);
}
.page-numbers {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  padding: 0px;
  border-radius: 1000px;
  width: 40px;
  height: 40px;
  color: var(--wp--preset--color--neutral-tint-1);
  border: 1px solid var(--wp--preset--color--neutral-shade-1);
  transition: all ease 0.2s;
}

.page-numbers.current {
  background-color: #000000;
  border: 1px solid var(--wp--preset--color--neutral-white);
  color: var(--wp--preset--color--neutral-white);
}

.page-numbers:hover {
  color: var(--wp--preset--color--neutral-white);
}

.alcb__carousel_container {
  position: relative;
}

.alcb__carousel_container::before {
  z-index: 10;
  left: 0px;
  display: block;
  content: "";
  position: absolute;
  width: 10%;
  background: #16161a;
  background: linear-gradient(
    90deg,
    rgba(22, 22, 26, 1) 0%,
    rgba(22, 22, 26, 0) 100%
  );
  height: 100%;
}

.alcb__carousel_container::after {
  z-index: 10;
  top: 0px;
  right: 0px;
  display: block;
  content: "";
  position: absolute;
  width: 10%;
  background: #16161a;
  background: linear-gradient(
    265deg,
    rgba(22, 22, 26, 1) 0%,
    rgba(22, 22, 26, 0) 100%
  );
  height: 100%;
}

.post-card {
  position: relative;
  transition: all ease 0.2s;
}
.post-card:hover {
  background-color: #ffffff;
}
.post-card:hover h2 a {
  color: #16161a !important;
}

.post-card:hover p {
  color: var(--wp--preset--color--brand-electric-blue) !important;
}

.post-card a::after {
  top: 0px;
  left: 0px;
  content: "";
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
}

.top-level-navigation .wp-block-navigation-item.current-menu-item {
  xxxbackground-color: #ff9900 !important;
}
.cyon-company-logo {
  max-height: 60px !important;
  width: auto !important;
}

.company-logo-container img {
  filter: var(--wp--preset--duotone--duotone-logo-invert);
}

.cyon-company-name {
  font-weight: normal !important;
}
.cyon-event-info {
}
.cyon-event-info p {
  margin: var(--wp--preset--spacing--space-sm) 0;
}

.event-link a {
  text-decoration: none !important;
}

figure.wp-block-carousel {
  margin: 0 0 0 0 !important;
}

:where(figure) {
  margin: 0 0 0em !important;
}

.wp-block-splide-carousel .splide__pagination {
  position: absolute;
  bottom: 20px;
}

/* Change Gravity Forms Submit Button Color */

body .gform_wrapper .gform_footer {
  font-family: var(--wp--preset--font-family--body) !important;
  font-weight: 300 !important;
}
body .gform_wrapper .gform_footer input[type="submit"],
body .gform_wrapper .gform_footer input[type="button"],
body .gform_wrapper .gform_page_footer input[type="submit"],
body .gform_wrapper .gform_page_footer input[type="button"] {
  background-color: #4ba59f !important; /* Change this to your desired color */
  background: linear-gradient(90deg, #ab23f6 0%, #403ef5 100%) !important;
  color: #ffffff !important; /* Text color */
  border: none !important;
  padding: 12px 20px;
  font-size: 16px;
  cursor: pointer;
  transition: all 0.3s ease-in-out !important;
  font-family: "the-seasons" !important;
}

/* Hover Effect */
body .gform_wrapper .gform_footer input[type="submit"]:hover,
body .gform_wrapper .gform_footer input[type="button"]:hover,
body .gform_wrapper .gform_page_footer input[type="submit"]:hover,
body .gform_wrapper .gform_page_footer input[type="button"]:hover {
  background-color: #33706c !important; /* Darker shade on hover */
  background: linear-gradient(90deg, #000000 0%, #000000 100%) !important;
}

body .gform_wrapper .gform_footer input::placeholder {
  opacity: 0.5 !important;
  color: #ff9900 !important;
}
body .gform_wrapper .gform_page_footer input::placeholder {
  opacity: 0.5 !important;
  color: #ff9900 !important;
}

.neostella-form-fields input::placeholder {
  color: var(--wp--preset--color--neutral-tint-1) !important;
}

.gform-theme--foundation .gform_fields {
  grid-column-gap: 0;
  -moz-column-gap: 0;
  column-gap: 0;
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: repeat(auto-fill, auto);
  inline-size: 100%;
  grid-row-gap: var(--gf-form-gap-y);
  row-gap: 20px !important;
}

.gform_confirmation_message {
  color: var(--wp--preset--color--neutral-tint-1) !important;
}

.gform_confirmation_message h3 {
  margin-bottom: 0px !important;
  color: var(--wp--preset--color--brand-powder-blue) !important;
}
.gform_confirmation_message .wp-block-button {
  margin-top: 30px;
}

.details-with-image__images .details-image {
  display: none;
  opacity: 0;
  transition-property: display opacity;

  transition-behavior: allow-discrete;
}

.details-with-image__images .details-image.is-active {
  display: block;
  opacity: 1;

  @starting-style {
    opacity: 0;
  }
}
